Category

Manage the forum categories on your Ning Network

Properties

id (id) [Read only]
The unique ID for a category
author (screenname) [Read only]
The screen name of the member who created the category
createdDate (date) [Read only]
The time stamp from the creation date
updatedDate (date) [Read only]
The time stamp from the last modification
url (url) [Read only]
URL of the category
title (string) [Read only]
The title of the category
description (string) [Read only]
The description of the category
visibility (visibility) [Read only]
Can friends see or all members see the category
tags (string) [Read only]
A JSON array of tags: { "food", "apple" }
private (string) [Read only]
True if the category is private

Sub-Properties

author.fullName (string) [Read only]
The full name of the author
author.iconUrl (url) [Read only]
The author’s profile photo
author.url (url) [Read only]
The author’s profile page on the Ning Network

HTTP GET

/xn/rest/apiexample/1.0/Category

Retrieve a specific category or a specific set of categories, up to 100.

Required Query Parameters:

id (id)
The ID of the category, multiple id parameters are allowed, up to 100

Optional Query Parameters:

fields (field)
Comma-separated list of desired properties, this is only a hint to the server

/xn/rest/apiexample/1.0/Category/recent

Retrieve the forum categories sorted by createdDate.

Optional Query Parameters:

fields (field)
Comma-separated list of desired properties, this is only a hint to the server
anchor (string)
An opaque token encodes the page of results returned, used in conjunction with count to page through a result set
count (int)
Returns one category by default and supports a maximum of 100. Also supports negative values down to -100 for retrieving categories before the anchor.

/xn/rest/apiexample/1.0/Category/alpha

Retrieve forum categories sorted alphabetically

Optional Query Parameters:

fields (field)
Comma-separated list of desired properties, this is only a hint to the server
anchor (string)
An opaque token encodes the page of results returned, used in conjunction with count to page through a result set
count (int)
Returns one category by default and supports a maximum of 100. Also supports negative values down to -100 for retrieving categories before the anchor.